#include <QGuiApplication>
#include <QQmlApplicationEngine>

#include "dummyrenderer.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);
    app.setAttribute(Qt::AA_UseDesktopOpenGL);

    qmlRegisterType<DummyRenderer>("MyQt3D", 1, 0, "GridMesh");

    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;

    return app.exec();
}

